@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  @include fullScreen;
  @include flex(flex-start, center);
  position: fixed;
}

// spinner
app-spinner {
  height: 100px;
}

// cover
.app-cover {
  @include fullScreen;
  position: absolute;
}

// card
app-card {
  @include padding(22px 17px 25px);
  position: relative;
  top: 300px;
  border-radius: 4px;
  width: 270px;
}

// message
.app-message {
  @include robotoRegular;
  font-size: 12px;
  line-height: 14px;
}

// actions
.app-actions {
  @include flex(center);
  margin-top: 52px;

  // button
  button {
    @include ubuntuMedium;
    width: 80px;
    height: 28px;
    font-size: 10px;
    line-height: 11px;

    &.app-inline-button {
      color: $eclipse;
    }

    &.app-flat-button {
      color: $white;
    }
  }

  // button gap
  button + button {
    margin-left: 7px;
  }
}

@media (max-width: 767px) {
  :host {
    z-index: 99999;
  }
}
